Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 08 Apr 2023 17:31:32 +0000 (UTC)

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I had such a very bad experience yesterday, I did the order and payment and it didn’t confirm. I called directly they said I have to wait, I’ve been running after them for the refund and to know how it will be resolved. I talked to 3 of the call centre and no one was able to help!!!!!!!!! I need those products I don’t want to wait until the refund and until they are sold out!!!! One more thing that the codeSU30 is not working for me it always says it can’t redeemed!!! At the same time you sent it , I try it and it’s not working!! It works for my friend!! I’m sorry but the amount will be useless because of you because you’re going to send it back to my credit and the code is not even working for me!! I’m so disappointed l really hope you can solve those problems specially the code!!! Because I will not order without 30% off ! I am a loyal customer for here and I’ve been ordering since 2020, hopefully you can solve all these. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6015842